Bug 1277397 - (nette/di) Review Request: php-nette-di - Nette Dependency Injection Component
Review Request: php-nette-di - Nette Dependency Injection Component
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
: Reopened
Depends On: nette/tester nette/neon nette/utils nette/php-generator
Blocks: tracy/tracy nette/caching nette/reflection nette/http nette/security nette/mail nette/forms 1277470 nette/database nette/bootstrap nette/nette kdyby/events apigen/apigen
  Show dependency treegraph
 
Reported: 2015-11-03 04:05 EST by Remi Collet
Modified: 2015-12-28 22:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 10:20:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
phpcompatinfo-full.log (17.64 KB, text/plain)
2015-11-28 09:50 EST, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (15.78 KB, text/plain)
2015-11-28 09:51 EST, Shawn Iwinski
no flags Details
fedora-review.txt (6.62 KB, text/plain)
2015-11-28 09:52 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2015-11-03 04:05:40 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/ef2d476867354b1e167c9c3f951aff9b57af6b37/php/nette/php-nette-di/php-nette-di.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-nette-di-2.3.6-1.remi.src.rpm
Description: 
Purpose of the Dependecy Injection (DI) is to free classes from the
responsibility for obtaining objects that they need for its operation
(these objects are called services). To pass them these services on their
instantiation instead.

Nette DI is one of the most interesting part of framework.
It is compiled DI container, extremely fast and easy to configure.

To use this library, you just have to add, in your project:
  require_once '/usr/share/php/Nette/DI/autoload.php';

Fedora Account System Username: remi
Comment 1 Upstream Release Monitoring 2015-11-17 00:54:57 EST
remi's scratch build of php-nette-di-2.3.6-1.remi.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11876523
Comment 2 Shawn Iwinski 2015-11-28 09:50 EST
Created attachment 1099919 [details]
phpcompatinfo-full.log

phpCompatInfo version 4.5.1 DB built Oct 11 2015 19:52:03 CEST
Comment 3 Shawn Iwinski 2015-11-28 09:51 EST
Created attachment 1099920 [details]
phpcompatinfo-lib.log

phpCompatInfo version 4.5.1 DB built Oct 11 2015 19:52:03 CEST
Comment 4 Shawn Iwinski 2015-11-28 09:52 EST
Created attachment 1099921 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1277397
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Shawn Iwinski 2015-11-28 09:53:47 EST
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



No blockers.

===== APPROVED =====
Comment 6 Till Maas 2015-11-28 17:23:37 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/php-nette-di
Comment 7 Fedora Update System 2015-11-29 02:37:10 EST
php-nette-di-2.3.6-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-762f8c75bb
Comment 8 Fedora Update System 2015-11-29 02:37:10 EST
php-nette-di-2.3.6-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a6c028e240
Comment 9 Fedora Update System 2015-11-29 02:37:16 EST
php-nette-di-2.3.6-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d5b4979626
Comment 10 Fedora Update System 2015-11-29 02:37:17 EST
php-nette-di-2.3.6-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-1ea627f25f
Comment 11 Fedora Update System 2015-11-29 16:50:28 EST
php-nette-di-2.3.6-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-nette-di'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a6c028e240
Comment 12 Fedora Update System 2015-11-29 17:20:43 EST
php-nette-di-2.3.6-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-nette-di'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-762f8c75bb
Comment 13 Fedora Update System 2015-11-29 18:53:01 EST
php-nette-di-2.3.6-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-nette-di'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d5b4979626
Comment 14 Fedora Update System 2015-11-30 00:20:45 EST
php-nette-di-2.3.6-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-nette-di'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-1ea627f25f
Comment 15 Fedora Update System 2015-12-04 01:15:39 EST
php-nette-di-2.3.7-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a6c028e240
Comment 16 Fedora Update System 2015-12-04 01:16:06 EST
php-nette-di-2.3.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-1ea627f25f
Comment 17 Fedora Update System 2015-12-04 01:16:14 EST
php-nette-di-2.3.7-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-762f8c75bb
Comment 18 Fedora Update System 2015-12-04 01:16:24 EST
php-nette-di-2.3.7-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d5b4979626
Comment 19 Fedora Update System 2015-12-04 11:51:29 EST
php-nette-di-2.3.7-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-nette-di'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d5b4979626
Comment 20 Fedora Update System 2015-12-04 12:20:47 EST
php-nette-di-2.3.7-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-nette-di'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-762f8c75bb
Comment 21 Fedora Update System 2015-12-05 15:50:06 EST
php-nette-di-2.3.7-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-nette-di'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a6c028e240
Comment 22 Fedora Update System 2015-12-05 15:51:16 EST
php-nette-di-2.3.7-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-nette-di'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-1ea627f25f
Comment 23 Fedora Update System 2015-12-15 08:25:05 EST
php-nette-di-2.3.7-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2015-12-15 10:21:40 EST
php-nette-di-2.3.7-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2015-12-28 16:27:14 EST
php-nette-di-2.3.7-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2015-12-28 22:54:16 EST
php-nette-di-2.3.7-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.